commit:     d02df0601b6e26d15878145595d113c287407675
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 20 04:44:12 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 20 05:02:26 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d02df060

gui-apps/railway: Bump to 2.8.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 gui-apps/railway/Manifest             |  2 +
 gui-apps/railway/railway-2.8.2.ebuild | 78 +++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/gui-apps/railway/Manifest b/gui-apps/railway/Manifest
index 739146f2acd1..012686395477 100644
--- a/gui-apps/railway/Manifest
+++ b/gui-apps/railway/Manifest
@@ -1,2 +1,4 @@
 DIST railway-2.8.1-crates.tar.xz 31734612 BLAKE2B 
405f4923a266b726a1358d7688ca3e77ffbc21820274fa27f0bbefa42bc210112e58df0135e43bf727f2d766d9f0600f08f886cd81a87cb63dc6615c19db8422
 SHA512 
ded8ea76d0ee2cae54af1f979d990c8d4cfa0be530c2295bc62f8fbe0e9e97398fd666cddcdafbf2e0c36ae1e22bfb691804c3fc2f387d00257dd6402dac33bd
 DIST railway-2.8.1.tar.bz2 344269 BLAKE2B 
0061fe89fe78d9f8f5148c862b3504b6d876b675d62b65f3db9e3e15a4a1f8011b278252201b37fd86f1ce28aec8c64b6bcdbc7ce6bd6321670eaacb7a7cc132
 SHA512 
ac7bc27da100654d82e0525522762ea81ca505ce0b35c8c80b3b75e377607482825c946f0d3a318701b0e0a9bea095e8722c2140f27e9e019ae1c08ce46e3f14
+DIST railway-2.8.2-crates.tar.xz 31739372 BLAKE2B 
53d89c490c183d8c687393a844c341138fe3c4896b6d5e3ce5a287f402d2dcd2090e69cb2eac5a3e332bc3df692034cd2364327b1a21e21ae10799d20c3caa3e
 SHA512 
1dbb0a94e1225f0c1efeddaae428d40ad121bc712c4adb163d461fc7e9dcb314a1e1a5c3b9283c3b55d24cd3c7a87d16c7e59ba8320857ec0f8fd97276516dd1
+DIST railway-2.8.2.tar.bz2 346492 BLAKE2B 
2893e82d1b86e86375fdff84bad3e2db89d9623cf160744b1f44e61d51c6a81d1e7fa8367169e4321c8ff5bbf8e531ff04adf97ec3604a6bbe6716acfcba34cc
 SHA512 
5038e53c47cb64f45b8da5a16c7b32380fdefd8ec2439de8250aa6d8f63ecd2d9728dd931fce6e21c9ebeb293feb77799cd61914a7f784937593b2d051fa099f

diff --git a/gui-apps/railway/railway-2.8.2.ebuild 
b/gui-apps/railway/railway-2.8.2.ebuild
new file mode 100644
index 000000000000..7bc85e7aa733
--- /dev/null
+++ b/gui-apps/railway/railway-2.8.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+inherit cargo gnome2-utils meson xdg-utils
+
+DESCRIPTION="Travel with all your train information in one place"
+HOMEPAGE="
+       https://mobile.schmidhuberj.de/railway/
+       https://gitlab.com/schmiddi-on-mobile/railway/
+"
+SRC_URI="
+       
https://gitlab.com/schmiddi-on-mobile/railway/-/archive/${PV}/${P}.tar.bz2
+       ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+       SRC_URI+="
+               
https://github.com/gentoo-crate-dist/railway/releases/download/${PV}/${P}-crates.tar.xz
+       "
+fi
+
+LICENSE="GPL-3+"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT Unicode-3.0
+       || ( AGPL-3+ EUPL-1.2 )
+"
+# ring
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+       >=dev-libs/glib-2.66
+       dev-libs/openssl:=
+       >=gui-libs/gtk-4.14:4
+       >=gui-libs/libadwaita-1.7.0
+       media-libs/graphene
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-libs/glib
+       dev-util/blueprint-compiler
+       sys-devel/gettext
+"
+
+BUILD_DIR=${S}/build
+ECARGO_HOME=${BUILD_DIR}/cargo-home
+
+QA_PREBUILT=usr/bin/diebahn
+
+src_prepare() {
+       default
+
+       sed -e "s:get_option('profile.*:$(usex debug false true):" \
+               -i src/meson.build || die
+}
+
+src_install() {
+       meson_src_install
+       dosym diebahn /usr/bin/railway
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_icon_cache_update
+}

Reply via email to